Thanh toán tài khoản

GET https://beta2.socdo.com/api/payments/
curl --request GET \
--url 'https://beta2.socdo.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
processor Tùy chọn Chuỗi (String) Giá trị cho phép: paypal , stripe , offline_payment , coinbase , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut
status Tùy chọn Chuỗi (String) Giá trị cho phép: paid , pending , cancelled , refunded
type Tùy chọn Chuỗi (String) Giá trị cho phép: one_time , recurring
frequency Tùy chọn Chuỗi (String) Giá trị cho phép: monthly , quarterly , biannual , annual , lifetime
order_by Tùy chọn Chuỗi (String) Trường để sắp xếp kết quả. Các giá trị cho phép: id , datetime , total_amount.
order_type Tùy chọn Chuỗi (String) Thứ tự sắp xếp kết quả. Các giá trị cho phép: ASC cho sắp xếp tăng dần và DESC cho sắp xếp giảm dần.
page Tùy chọn Số nguyên (Integer) Số trang bạn muốn lấy kết quả. Mặc định là 1.
results_per_page Tùy chọn Số nguyên (Integer) Số lượng kết quả bạn muốn trên mỗi trang. Các giá trị cho phép: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-10-13 17:04:32",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://beta2.socdo.com/api/payments?page=1",
        "last": "https://beta2.socdo.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://beta2.socdo.com/api/payments?page=1"
    }
}
GET https://beta2.socdo.com/api/payments/{payment_id}
curl --request GET \
--url 'https://beta2.socdo.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-10-13 17:04:32",
    }
}